Name:            mesaflash
Version:         3.3.0

%global forgeurl https://github.com/micges/%{name}
%global date     20200415
%global commit   84fa4635679d95927f6867339dbb8e403df91ccb

%forgemeta

Release:         0.3%{?dist}
Summary:         Configuration and diagnostic tool for Mesa Electronics boards
License:         GPLv2+
Url:             %{forgeurl}
Source0:         %{forgesource}
# Upstream reference: https://github.com/micges/mesaflash/pull/25
Patch0:          %{name}-0001-Add-GPL-license-text-file.patch
# Upstream reference: https://github.com/micges/mesaflash/pull/26
Patch1:          %{name}-0002-Make-packaging-easier.patch
# Upstream reference: https://github.com/micges/mesaflash/pull/27
Patch2:          %{name}-0003-Fix-misleading-indentation-warnings.patch
# Upstream reference: https://github.com/micges/mesaflash/pull/28
Patch3:          %{name}-0004-Fix-Wformat-warning.patch
# Upstream reference: https://github.com/micges/mesaflash/pull/29
Patch4:          %{name}-0005-Fix-compilation-errors.patch
# Upstream reference: https://github.com/micges/mesaflash/pull/30
Patch5:          %{name}-0006-Fix-linking-errors.patch
# Upstream reference: https://github.com/micges/mesaflash/pull/31
Patch6:          %{name}-0007-Fix-Wstringop-truncation-warnings.patch
# Upstream reference: https://github.com/micges/mesaflash/pull/32
Patch7:          %{name}-0008-Add-sys-io.h-stubs-implementation.patch

BuildRequires:   /usr/bin/git
BuildRequires:   gcc
BuildRequires:   pkgconfig(libpci)


%description
Configuration and diagnostic tool for Mesa Electronics
PCI(E)/ETH/EPP/USB/SPI boards.


%prep
%forgeautosetup -S git
# Remove binary files
rm -rf *.dll *.sys libpci


%build
%set_build_flags
%ifarch i386 x86_64
  export USE_STUBS=0
%else
  export USE_STUBS=1
%endif
%{make_build} DEBUG="" OWNERSHIP=""


%install
%ifarch i386 x86_64
  export USE_STUBS=0
%else
  export USE_STUBS=1
%endif
%{make_install} DEBUG="" OWNERSHIP="" DESTDIR="%{buildroot}%{_prefix}"


%files
# The license is in the documentation file
%license COPYING
%doc README
%{_bindir}/%{name}


%changelog
* Mon Apr 20 2020 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 3.3.0-0.3
- Update upstream references to the patches.

* Mon Apr 20 2020 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 3.3.0-0.2
- Add a patch to compile on platforms without <sys/io.h> header.

* Fri Apr 17 2020 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 3.3.0-0.1
- Initial RPM release.
